gi-glib-2.0.29: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Structs.UnixPipe

Contents

- Exported types
- Methods

Description

A Unix pipe. The advantage of this type over `int[2]` is that it can be closed automatically when it goes out of scope, using `g_auto(GUnixPipe)`, on compilers that support that feature.

Since: 2.80

Synopsis

- newtype UnixPipe = UnixPipe (ManagedPtr UnixPipe)
- newZeroUnixPipe :: MonadIO m => m UnixPipe

# Exported types

newtype UnixPipe Source #

Memory-managed wrapper type.

Constructors

UnixPipe (ManagedPtr UnixPipe) |

#### Instances

Instances details

Eq UnixPipe Source # |
Instance details Defined in GI.GLib.Structs.UnixPipe Methods (==) :: UnixPipe -> UnixPipe -> Bool Source # (/=) :: UnixPipe -> UnixPipe -> Bool Source #
BoxedPtr UnixPipe Source # |
Instance details Defined in GI.GLib.Structs.UnixPipe Methods boxedPtrCopy :: UnixPipe -> IO UnixPipe Source # boxedPtrFree :: UnixPipe -> IO () Source #
CallocPtr UnixPipe Source # |
Instance details Defined in GI.GLib.Structs.UnixPipe Methods boxedPtrCalloc :: IO (Ptr UnixPipe) Source #
ManagedPtrNewtype UnixPipe Source # |
Instance details Defined in GI.GLib.Structs.UnixPipe Methods toManagedPtr :: UnixPipe -> ManagedPtr UnixPipe Source #
tag ~ 'AttrSet => Constructible UnixPipe tag Source # |
Instance details Defined in GI.GLib.Structs.UnixPipe Methods new :: MonadIO m => (ManagedPtr UnixPipe -> UnixPipe) -> [AttrOp UnixPipe tag] -> m UnixPipe Source #

newZeroUnixPipe :: MonadIO m => m UnixPipe Source #

Construct a `UnixPipe` struct initialized to zero.

# Methods